System Metadata Modified DateTime does not appear to validate
Description

Noticed this testing on 10/14.  The 'dateSysMetadataModified' field value in system metadata does not appear to be valid

xsd-datetime format.   It appears the timezone offset is missing the ":" character between hours and minutes.

For example:

http://dev.datadryad.org/mn/meta/http://dx.doi.org/10.5061/dryad.01n56147/1?ver=2011-12-17T17:53:55.844-0500

A resource for pattern of xsd-datetime:

http://books.xmlschemata.org/relaxng/ch19-77049.html

These dates are throwing some errors attempting to bind the xml into a java object:

java.lang.IllegalArgumentException: 2011-08-02T16:00:05.530-0400

at

com.sun.org.apache.xerces.internal.jaxp.datatype.XMLGregorianCalendarImpl$Parser.skip(XMLGregorianCalendarImpl.java:2807)

at

com.sun.org.apache.xerces.internal.jaxp.datatype.XMLGregorianCalendarImpl$Parser.parse(XMLGregorianCalendarImpl.java:2772)

at com.sun.org.apache.xerces.internal.jaxp.datatype.XMLGregorianCalendarImpl.(XMLGregorianCalendarImpl.java:433)

at

com.sun.org.apache.xerces.internal.jaxp.datatype.DatatypeFactoryImpl.newXMLGregorianCalendar(DatatypeFactoryImpl.java:532)

History

#1 - 2013-10-14 20:55 - Skye Roseboom

- Subject changed from System Modified DateTime does not appear to validate to System Metadata Modified DateTime does not appear to validate

#2 - 2013-10-22 19:03 - Ryan Scherle

- Assignee changed from Ryan Scherle to Skye Roseboom

The colon has been added to all identifiers in the Dryad system.

#3 - 2013-10-29 14:50 - Skye Roseboom

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

Looks good.  closing issue.

#4 - 2014-02-03 16:03 - Laura Moyers

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

#5 - 2014-03-14 18:22 - Laura Moyers

- Target version changed from Deploy by end of Y5Q3 to Operational
